<template>
    <div class="p-3">
        <button class="btn btn-outline-danger" @click="clearLog()" v-if="this.log.length > 0">Clear</button>
        <ul class="text-danger">
            <li v-for="entry in this.log">{{entry.timestamp}}  -{{entry.message}}  @{{entry.from}}</li>
        </ul>
    </div>
</template>

<script>
    import heroMessageService from './HeroMessageService.js'

    export default {
        data() {
            return {
                log: heroMessageService.log,
            }
        },

        methods: {
          clearLog(){
            heroMessageService.clearLog();
            this.log = heroMessageService.log;
            }
        }
    }
</script>